summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/csit/csit-func.yaml125
-rw-r--r--jjb/csit/csit-hc2vpp.yaml65
-rw-r--r--jjb/csit/csit-perf.yaml119
-rw-r--r--jjb/csit/csit.yaml3
-rw-r--r--jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh15
-rw-r--r--jjb/csit/include-raw-csit-vpp-verify-semiweekly.sh47
-rw-r--r--jjb/csit/include-raw-csit-vpp-verify-weekly.sh16
7 files changed, 0 insertions, 390 deletions
diff --git a/jjb/csit/csit-func.yaml b/jjb/csit/csit-func.yaml
index 565aefcad..90fc9d327 100644
--- a/jjb/csit/csit-func.yaml
+++ b/jjb/csit/csit-func.yaml
@@ -21,8 +21,6 @@
- 'centos7'
jobs:
- - 'csit-vpp-verify-{stream_timed}-{os}-weekly'
- - 'csit-vpp-verify-{stream_timed}-{os}-semiweekly'
- 'csit-vpp-functional-{stream}-{os}-virl'
- 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
- 'csit-tldk-verify-func-{stream}-{os}-virl'
@@ -32,136 +30,13 @@
branch: 'master'
branch-id: 'oper'
build-artifact-num-to-keep: 10
- stream_timed:
- - master:
- branch: 'master'
- branch-id: 'oper'
stream:
- - master:
- branch: 'master'
- - '1901':
- branch: 'rls1901'
- '1904':
branch: 'rls1904'
- '1908_1':
branch: 'rls1908_1'
- job-template:
- name: 'csit-vpp-verify-{stream_timed}-{os}-weekly'
- # yamllint disable-line rule:line-length
- description: 'Purpose of this job is to validate CSIT code of corresponding branch against verified vpp build from corresponding branch.'
- # yamllint enable rule:line-length
-
- project-type: freestyle
- node: '{os}-basebuild-4c-4g'
- concurrent: false
- archive-artifacts: >
- **/csit/report.html
- **/csit/log.html
- **/csit/output.xml
- latest-only: false
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - git-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- branch: '{branch}'
-
- wrappers:
- - fdio-infra-wrappers-non-activity-timeout:
- build-timeout: '{build-timeout}'
-
- triggers:
- - timed: '0 4 * * 0'
-
- - gerrit-trigger-manually-triggered:
- comment-trigger-value: 'csit-vpp-ref-verify'
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: jjb/csit/include-raw-csit-vpp-verify-weekly.sh
-
- publishers:
- - robot-report:
- output-path: ''
-
- - fdio-infra-shiplogs:
- maven-version: 'mvn33-new'
-
-- job-template:
- name: 'csit-vpp-verify-{stream_timed}-{os}-semiweekly'
- # yamllint disable-line rule:line-length
- description: 'Purpose of this job is to validate latest vpp build from corresponding branch stored in nexus against verified CSIT codebase of corresponding branch.'
- # yamllint enable rule:line-length
-
- project-type: freestyle
- node: '{os}-basebuild-4c-4g'
- concurrent: false
- archive-artifacts: 'csit/archive/*.*'
- latest-only: false
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- wrappers:
- - fdio-infra-wrappers-non-activity-timeout:
- build-timeout: '{build-timeout}'
-
- triggers:
- - timed: '0 4 * * 2,6'
-
- - gerrit-trigger-manually-triggered:
- comment-trigger-value: 'csit-verify-vpp'
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
- - inject:
- properties-file: variables.prop
- - shell:
- # yamllint disable-line rule:line-length
- !include-raw-escape: jjb/csit/include-raw-csit-vpp-verify-semiweekly.sh
- # yamllint enable rule:line-length
-
- publishers:
- - robot-report:
- output-path: 'csit/archive'
-
- - fdio-infra-shiplogs:
- maven-version: 'mvn33-new'
-
-- job-template:
name: 'csit-vpp-functional-{stream}-{os}-virl'
project-type: freestyle
diff --git a/jjb/csit/csit-hc2vpp.yaml b/jjb/csit/csit-hc2vpp.yaml
index 9944e9233..ed788fdba 100644
--- a/jjb/csit/csit-hc2vpp.yaml
+++ b/jjb/csit/csit-hc2vpp.yaml
@@ -4,7 +4,6 @@
description: 'jenkins jobs verify Hc2vpp functional and performance tests'
jobs:
- 'csit-hc2vpp-verify-func-{stream}-{os}'
- - 'csit-hc2vpp-verify-perf-{stream}-{os}'
project: 'csit'
branch: 'master'
build-artifact-num-to-keep: 10
@@ -15,11 +14,6 @@
repo-os-part: 'ubuntu.xenial.main'
stream:
- - master:
- branch: 'master'
- - '1901':
- branch: 'rls1901'
- branch-id: 'oper-rls1901'
- '1904':
branch: 'rls1904'
branch-id: 'oper-rls1904'
@@ -85,62 +79,3 @@
- fdio-infra-shiplogs:
maven-version: 'mvn36'
-
-- job-template:
- name: 'csit-hc2vpp-verify-perf-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-basebuild-4c-4g'
- concurrent: false
- archive-artifacts: 'archive/*.*'
- latest-only: false
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - os-parameter:
- os: '{os}'
- - stream-parameter:
- stream: '{stream}'
- - gerrit-parameter:
- branch: '{branch}'
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-manually-triggered:
- comment-trigger-value: 'verify-hc2vpp-perf'
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: include-raw-csit-hc2vpp-verify-perf.sh
-
- publishers:
- - email-notification:
- email-prefix: '[csit]'
-
- - robot-report:
- output-path: 'archive'
-
- - fdio-infra-shiplogs:
- maven-version: 'mvn36'
diff --git a/jjb/csit/csit-perf.yaml b/jjb/csit/csit-perf.yaml
index dc30b1405..b424ab05b 100644
--- a/jjb/csit/csit-perf.yaml
+++ b/jjb/csit/csit-perf.yaml
@@ -47,7 +47,6 @@
- -2n-clx
- -2n-skx
- -3n-skx
- - 'csit-ligato-perf-verify-{stream}-{node-arch}'
project: 'csit'
executor: 'ubuntu1804-us'
@@ -60,10 +59,6 @@
branch: 'master'
branch-id: 'oper'
executor: 'ubuntu1804-us'
- - '1901':
- branch: 'rls1901'
- branch-id: 'oper-rls1901'
- executor: 'ubuntu1604-basebuild-8c-32g'
- '1904':
branch: 'rls1904'
branch-id: 'oper-rls1904'
@@ -560,117 +555,3 @@
- fdio-infra-shiplogs:
maven-version: 'mvn33-new'
-
-- job-template:
- name: 'csit-ligato-perf-verify-{stream}-{node-arch}'
-
- # yamllint disable rule:line-length
- description: |
- <ul>
- <li>objective
- <ul>
- <li>perf verify - per csit gerrit patch
- </ul>
- <li>job
- <ul>
- <li>name: <b>csit-ligato-perf-verify-{stream}-{node-arch}</b>
- <li>trigger: keyword in comment to csit patch:
- <b>csit--ligato-{node-arch}-perftest tag_list</b>
- </ul>
- <li>perf test-cases selection
- <ul>
- <li>test-cases selected using trigger keyword followed by tags
- <li>all test-cases are labelled with CSIT RF topic tags
- defined in <i>csit/docs/tag_documentation.rst</i>
- </ul>
- <li>proposed keywords
- <ul>
- <li>focus on testing specified Kubernetes orchestrated topologies
- <li>format: csit-ligato-{node-arch}-perftest tag_list
- </ul>
- <li>default tags for vpp startup config and perf test type
- <ul>
- <li>IP4BASE, IP6BASE, L2BDBASE
- <li>64B/78B: 64B/78B packet size
- <li>1C: one core
- <li>X710: x710 Fortville NIC
- <li>MRR: MRR throughput
- </ul>
- <li>results
- <ul>
- <li>jjb verify: PASS/FAIL
- <li>present: no
- <li>analyse: no
- </ul>
- </ul>
- # yamllint enable rule:line-length
-
- project-type: freestyle
- # As the nomad executors are running docker containers we cannot run
- # ligato-perf job due to dependency on using docker inside.
- # TODO: Find the mechanics how to offload job logic from compiling docker
- # image so we can move this executor to ubuntu1804-us
- node: '{ligato-executor}'
- concurrent: true
- archive-artifacts: 'archive/*.*'
- latest-only: false
-
- build-discarder:
- daysToKeep: '{build-days-to-keep}'
- numToKeep: '{build-num-to-keep}'
- artifactDaysToKeep: '{build-artifact-days-to-keep}'
- artifactNumToKeep: '{build-artifact-num-to-keep}'
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - gerrit-refspec-parameter
- - gerrit-event-type-parameter
- - gerrit-event-comment-text-parameter
- - string:
- name: ARCHIVE_ARTIFACTS
- default: '{archive-artifacts}'
- description: Artifacts to archive to the logs server.
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers-non-activity-timeout:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit:
- server-name: 'Primary'
- trigger-on:
- - comment-added-contains-event:
- comment-contains-value: 'csit-ligato-{node-arch}-perftest'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: false
- failed: false
- unstable: false
- notbuilt: false
-
- builders:
- - shell:
- !include-raw-escape: jjb/csit/include-raw-csit-perf-verify.sh
-
- publishers:
- - robot:
- output-path: archive
- other-files:
- - '*.*'
-
- - fdio-infra-shiplogs:
- maven-version: 'mvn33-new'
diff --git a/jjb/csit/csit.yaml b/jjb/csit/csit.yaml
index ee6a65ffe..440a12984 100644
--- a/jjb/csit/csit.yaml
+++ b/jjb/csit/csit.yaml
@@ -34,9 +34,6 @@
- master:
branch: 'master'
executor: 'ubuntu1804-us'
- - '1901':
- branch: 'rls1901'
- executor: 'ubuntu1604-basebuild-4c-4g'
- '1904':
branch: 'rls1904'
executor: 'ubuntu1804-us'
diff --git a/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh b/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
deleted file mode 100644
index fdfdb2a13..000000000
--- a/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-# execute csit bootstrap script if it exists
-if [[ ! -e bootstrap-hc2vpp-perf.sh ]]
-then
- echo 'ERROR: No bootstrap-hc2vpp-perf.sh found'
- exit 1
-else
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-hc2vpp-perf.sh
- # run the script
- ./bootstrap-hc2vpp-perf.sh ${STREAM} ${OS}
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-verify-semiweekly.sh b/jjb/csit/include-raw-csit-vpp-verify-semiweekly.sh
deleted file mode 100644
index c0c19b323..000000000
--- a/jjb/csit/include-raw-csit-vpp-verify-semiweekly.sh
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# check BRANCH_ID value
-if [ "$BRANCH_ID" == "" ]; then
- echo "branch_id not provided => 'master' will be used"
- BRANCH_ID="master"
-fi
-
-# clone csit
-git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
-
-# if the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
- echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
- exit 1
-fi
-
-cd csit
-
-# get the latest verified version of the required branch
-BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
-
-if [ "${BRANCH_NAME}" == "" ]; then
- echo "No verified version found for requested branch - exiting"
- exit 1
-fi
-
-# remove 'origin/' from the branch name
-BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
-
-# checkout to the required branch
-git checkout ${BRANCH_NAME}
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-vpp-verify-semiweekly.sh ]
-then
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-vpp-verify-semiweekly.sh
- # run the script
- ./bootstrap-vpp-verify-semiweekly.sh
-else
- echo 'ERROR: No bootstrap-vpp-verify-semiweekly.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-verify-weekly.sh b/jjb/csit/include-raw-csit-vpp-verify-weekly.sh
deleted file mode 100644
index 3c74c349b..000000000
--- a/jjb/csit/include-raw-csit-vpp-verify-weekly.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-vpp-verify-weekly.sh ]
-then
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-vpp-verify-weekly.sh
- # run the script
- ./bootstrap-vpp-verify-weekly.sh
-else
- echo 'ERROR: No bootstrap-vpp-verify-weekly.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :